Skip to content
Start here

Validate SQL

pipelines.validate_sql(PipelineValidateSqlParams**kwargs) -> PipelineValidateSqlResponse
POST/accounts/{account_id}/pipelines/v1/validate_sql

Validate Arroyo SQL.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
ParametersExpand Collapse
account_id: str

Specifies the public ID of the account.

sql: str

Specifies SQL to validate.

ReturnsExpand Collapse
class PipelineValidateSqlResponse:
tables: Dict[str, Tables]

Indicates tables involved in the processing.

id: str
name: str
type: str
version: float
graph: Optional[Graph]
edges: List[GraphEdge]
dest_id: int
formatint32
minimum0
edge_type: str
key_type: str
src_id: int
formatint32
minimum0
value_type: str
nodes: List[GraphNode]
description: str
node_id: int
formatint32
minimum0
operator: str
parallelism: int
formatint32
minimum0

Validate SQL

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.pipelines.validate_sql(
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
    sql="insert into sink select * from source;",
)
print(response.tables)
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}